## START: Set by rpmautospec
## (rpmautospec version 0.6.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global python3_pkgversion 3.11

%global srcname rpmautospec_core
%global canonicalname %{py_dist_name %{srcname}}

Name: python%{python3_pkgversion}-%{canonicalname}
Version: 0.1.4
Release: %autorelease
Summary: Minimum functionality for rpmautospec

License: MIT
URL: https://github.com/fedora-infra/%{canonicalname}
Source0: %{pypi_source %{srcname}}
BuildArch: noarch
BuildRequires: python%{python3_pkgversion}-devel >= 3.6.0
# The dependencies needed for testing don’t get auto-generated.
BuildRequires: python%{python3_pkgversion}dist(pytest)
BuildRequires: python%{python3_pkgversion}dist(pip)
BuildRequires: python%{python3_pkgversion}dist(setuptools)

%py_provides python%{python3_pkgversion}-%{canonicalname}

%description
This package contains minimum functionality to determine if an RPM spec file
uses rpmautospec features.

%prep
%autosetup -n %{srcname}-%{version}

cat << PYTESTINI > pytest.ini
[pytest]
addopts =
PYTESTINI

cat << SETUPPY > setup.py
from setuptools import setup

setup(name="%{canonicalname}", version="%{version}", packages=["%{srcname}"])
SETUPPY

%build
%py3_build

%install
%py3_install
echo '%{python3_sitelib}/%{srcname}*' > %{pyproject_files}

%check
%pytest

%files
%doc README.md
%license LICENSE
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}*.egg-info

%changelog
## START: Generated by rpmautospec
* Thu Mar 28 2024 Nils Philippsen <nils@redhat.com> - 0.1.4-1
- Import package
## END: Generated by rpmautospec
